CocoaTweet::API::Statuses::Unretweet Class Reference

`#include <unretweet.h>`

Inheritance diagram for CocoaTweet::API::Statuses::Unretweet:
[legend]
Collaboration diagram for CocoaTweet::API::Statuses::Unretweet:
[legend]

## Public Member Functions

| Unretweet ()
void | id (const std::string &_id)
CocoaTweet::API::Model::Tweet | process (std::weak_ptr< CocoaTweet::OAuth::OAuth1 > _oauth)

## Additional Inherited Members

Protected Member Functions inherited from CocoaTweet::API::Interface::HttpPost
void | process (std::weak_ptr< CocoaTweet::OAuth::OAuth1 > _oauth, std::function< void(const std::string &)> _callback)
| Send HTTP/POST using OAuth object. More...
Static Protected Member Functions inherited from CocoaTweet::API::Interface::HttpBase
static size_t | curlCallback_ (char *_ptr, size_t _size, size_t _nmemb, std::string *_stream)
Protected Attributes inherited from CocoaTweet::API::Interface::HttpBase
std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | oauth_
std::map< std::string, std::string > | bodyParam_
std::string | url_
std::string | contentType_

## Constructor & Destructor Documentation

## Unretweet()

CocoaTweet::API::Statuses::Unretweet::Unretweet | ( |  | ) |

## Member Function Documentation

## id()

void CocoaTweet::API::Statuses::Unretweet::id | ( | const std::string & | _id | ) |

## process()

CocoaTweet::API::Model::Tweet CocoaTweet::API::Statuses::Unretweet::process | ( | std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | _oauth | ) |

The documentation for this class was generated from the following files:

- src/cocoatweet/api/status/unretweet.h
- src/cocoatweet/api/status/unretweet.cc